import { Observable } from "rxjs";
import { ResponseMessage } from "../dependencies/fisappmessagejsutilty/dependencies/dependencies";
import { LogSetting } from "../dependencies/fisloggingservice/type/datatype";

export interface Acknowledgemeent {
    init(settings: LogSetting): void;

    subscribe(obs: Observable<string>): Observable<ResponseMessage>
}

export type AcknowledgementLogSetting = {
    storage: string;
    setting?: {
        appId?: string,
        appName: string
    }

    customSetting?: {
        srv?: boolean,
        user?: string,
        password?: string,
        server?: string,
        collection?: string
        url?: string // Full link if possible. Doesnt matter cloud or remote server
    }
}